# zmq_msg_init(3) Manual Page

## NAME

zmq_msg_init - initialise empty 0MQ message

## SYNOPSIS

int zmq_msg_init (zmq_msg_t *msg);

## DESCRIPTION

The zmq_msg_init() function shall initialise the message object referenced by msg to represent an empty message. This function is most useful when called before receiving a message with zmq_recv().

Caution | Never access zmq_msg_t members directly, instead always use the zmq_msg family of functions.

Caution | The functions zmq_msg_init(), zmq_msg_init_data() and zmq_msg_init_size() are mutually exclusive. Never initialize the same zmq_msg_t twice.

## RETURN VALUE

The zmq_msg_init() function shall return zero if successful. Otherwise it shall return `-1` and set errno to one of the values defined below.

## ERRORS

No errors are defined.

## EXAMPLE

Receiving a message from a socket

    zmq_msg_t msg;
    rc = zmq_msg_init (&msg);
    assert (rc == 0);
    rc = zmq_recv (socket, &msg, 0);
    assert (rc == 0);

## SEE ALSO

zmq_msg_init_size(3) zmq_msg_init_data(3) zmq_msg_close(3) zmq_msg_data(3) zmq_msg_size(3) zmq(7)

## AUTHORS

This ØMQ manual page was written by Martin Sustrik <sustrik@250bpm.com> and Martin Lucina <mato@kotelna.sk>.